Subject: Re: BUG: warning at net/core/dev.c:1171/skb_checksum_help() 2.6.18-rc3

From: Patrick McHardy <[email-masked]>
Date: Sat, 05 Aug 2006 09:13:51 +0200

Herbert Xu wrote:
> On Thu, Aug 03, 2006 at 11:40:01AM +0200, Patrick McHardy wrote:
> 
>>Yes, the 32-bit thing is a bug, I meant it works fine without inverting
>>the checksum.
> 
> 
> Right, I forgot about the checksum invariance under negation.  In that
> case we can get rid of the tildes two lines down as well for consistency.

I've made the other changes you suggested, but removing the tildes here
didn't work, so I left them in. I'll send the new patches in a few
minutes.